# List all activity logs

You can get a log of activities by all admins in an app.

Endpoint: GET /admins/activity_logs
Version: 2.9
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "Preview"

## Query parameters:

  - `created_at_after` (string, required)
    The start date that you request data for. It must be formatted as a UNIX timestamp.
    Example: "1677253093"

  - `created_at_before` (string)
    The end date that you request data for. It must be formatted as a UNIX timestamp.
    Example: "1677861493"

## Response 200 fields (application/json):

  - `type` (string)
    String representing the object's type. Always has the value activity_log.list.
    Example: "activity_log.list"

  - `pages` (object,null)
    Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data.
A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

  - `pages.type` (string)
    the type of object pages.
    Enum: "pages"

  - `pages.page` (integer)
    The current page
    Example: 1

  - `pages.next` (object,null)

  - `pages.next.per_page` (integer)
    The number of results to fetch per page.
    Example: 2

  - `pages.next.starting_after` (string,null)
    The cursor to use in the next request to get the next page of results.
    Example: "your-cursor-from-response"

  - `pages.per_page` (integer)
    Number of results per page
    Example: 2

  - `pages.total_pages` (integer)
    Total number of pages
    Example: 13

  - `activity_logs` (array)
    An array of activity logs

  - `activity_logs.id` (string)
    The id representing the activity.
    Example: "6"

  - `activity_logs.performed_by` (object)
    Details about the Admin involved in the activity.

  - `activity_logs.performed_by.type` (string)
    String representing the object's type. Always has the value admin.
    Example: "admin"

  - `activity_logs.performed_by.id` (string)
    The id representing the admin.
    Example: "1295"

  - `activity_logs.performed_by.email` (string)
    The email of the admin.
    Example: "john@example.com"

  - `activity_logs.performed_by.ip` (string)
    The IP address of the admin.
    Example: "198.51.100.255"

  - `activity_logs.metadata` (object,null)
    Additional data provided about Admin activity.

  - `activity_logs.metadata.sign_in_method` (string,null)
    The way the admin signed in.
    Example: "email_password"

  - `activity_logs.metadata.external_id` (string,null)
    The unique identifier for the contact which is provided by the Client.
    Example: "f3b87a2e09d514c6c2e79b9a"

  - `activity_logs.metadata.away_mode` (boolean,null)
    The away mode status which is set to true when away and false when returned.
    Example: true

  - `activity_logs.metadata.away_status_reason` (string,null)
    The reason the Admin is away.
    Example: "😌 On a break"

  - `activity_logs.metadata.reassign_conversations` (boolean,null)
    Indicates if conversations should be reassigned while an Admin is away.

  - `activity_logs.metadata.source` (string,null)
    The action that initiated the status change.
    Example: "admin update from web - Admin id: 93"

  - `activity_logs.metadata.auto_changed` (string,null)
    Indicates if the status was changed automatically or manually.

  - `activity_logs.metadata.update_by` (integer,null)
    The ID of the Admin who initiated the activity.
    Example: 93

  - `activity_logs.metadata.update_by_name` (string,null)
    The name of the Admin who initiated the activity.
    Example: "Joe Bloggs"

  - `activity_logs.created_at` (integer)
    The time the activity was created.
    Example: 1671028894

  - `activity_logs.activity_type` (string)
    Enum: "admin_assignment_limit_change", "admin_away_mode_change", "admin_deletion", "admin_deprovisioned", "admin_impersonation_end", "admin_impersonation_start", "admin_invite_change", "admin_invite_creation", "admin_invite_deletion", "admin_login_failure", "admin_login_success", "admin_logout", "admin_password_reset_request", "admin_password_reset_success", "admin_permission_change", "admin_provisioned", "admin_two_factor_auth_change", "admin_unauthorized_sign_in_method", "app_admin_join", "app_authentication_method_change", "app_data_deletion", "app_data_export", "app_google_sso_domain_change", "app_identity_verification_change", "app_name_change", "app_outbound_address_change", "app_package_installation", "app_package_token_regeneration", "app_package_uninstallation", "app_team_creation", "app_team_deletion", "app_team_membership_modification", "app_timezone_change", "app_webhook_creation", "app_webhook_deletion", "articles_in_messenger_enabled_change", "bulk_delete", "bulk_export", "campaign_deletion", "campaign_state_change", "conversation_part_deletion", "conversation_topic_change", "conversation_topic_creation", "conversation_topic_deletion", "help_center_settings_change", "inbound_conversations_change", "inbox_access_change", "message_deletion", "message_state_change", "messenger_look_and_feel_change", "messenger_search_required_change", "messenger_spaces_change", "office_hours_change", "role_change", "role_creation", "role_deletion", "ruleset_activation_title_preview", "ruleset_creation", "ruleset_deletion", "search_browse_enabled_change", "search_browse_required_change", "seat_change", "seat_revoke", "security_settings_change", "temporary_expectation_change", "upfront_email_collection_change", "welcome_message_change"

  - `activity_logs.activity_description` (string)
    A sentence or two describing the activity.
    Example: "Admin updated the app's name to \"My App\"."

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


